
//engine
var prefixEngine = 'js/';

//setting
require('nw.gui').Window.get().evalNWBin(null, 'src/main/js/setting.bin');

//param_animations
require('nw.gui').Window.get().evalNWBin(null, 'src/main/js/param_animations.bin');

//bunker
require('nw.gui').Window.get().evalNWBin(null, 'src/main/js/bunker.bin');

//init stage
include(prefixEngine+'init.js');

//lang
include(prefixEngine+'lang.js');

//main
setTimeout(function(){
    require('nw.gui').Window.get().evalNWBin(null, 'src/main/js/main.bin');
},1000);

function include(url) {
    var script = document.createElement('script');
    script.src = url;
    document.getElementsByTagName('head')[0].appendChild(script);
}


